<?

include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';
only_reg();
if (!isset($user) && !isset($_GET['id'])){header("Location: /index.php?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
else

{
if (isset($_GET['u']))$arr['nick']=$_GET['u'];
$nick=mysql_real_escape_string($arr['nick']);
$res=mysql_query("SELECT id FROM user WHERE nick='$nick';");
if($row=mysql_fetch_assoc($res))$ank['id']=$row['id'];
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /index.php?".SID);exit;}
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));
$set['title']=''.$ank['nick'].' [id: '.$ank['id'].']'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

if ( ( !isset( $_SESSION['refer'] ) || $_SESSION['refer'] == null ) && isset( $_SERVER['HTTP_REFERER'] ) && $_SERVER['HTTP_REFERER'] != null && !ereg( 'info\.php', $_SERVER['HTTP_REFERER'] ) )
$_SESSION['refer'] = str_replace( '&', '&', ereg_replace( '^http://[^/]*/', '/', $_SERVER['HTTP_REFERER'] ) );
if ( isset( $_GET['rating'] ) && $_GET['rating'] >= 1 && $_GET['rating'] <= 5 )

{
if ( isset( $access['user_voice'] ) && $user['id'] != $ank['id'] && $user['balls'] >= 50 && $user['rating'] >= 0 && mysql_result( mysql_query( "SELECT COUNT(*) FROM `user_voice` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'" ), 0 ) == 0 )
	{
$ratsun = intval( $_GET['rating'] );
mysql_query("INSERT INTO `my_rating` (`id_user`, `id_ank`, `rat`, `time`) values('$ank[id]', '$user[id]', '$ratsun', '$time')");
$msgrat="[b]$user[nick][/b] Проголосовал за вашу страничку! Оценка на +$ratsun";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msgrat', '$time')");
mysql_query("UPDATE `user` SET `rating` = '".($ank['rating']+$ratsun)."' WHERE `id` = '$ank[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `user_voice` (`id_user`, `id_kont`) values('$user[id]', '$ank[id]')",$db);
msg ('Ваш отзыв принят');
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1"));
}
else
msg ('Что бы получить возможность голосовать, вам нужно набрать 50 баллов');
}

if (isset($_GET['frend']) && $_GET['frend']=='del')

{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: index.php?");exit;}
mysql_query("DELETE FROM `frends` WHERE `user` = '$user[id]' AND `frend` = '$ank[id]' LIMIT 1");
mysql_query("DELETE FROM `frends` WHERE `user` = '$ank[id]' AND `frend` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `frends_new` WHERE `user` = '$ank[id]' AND `to` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `frends_new` WHERE `user` = '$user[id]' AND `to` = '$ank[id]' LIMIT 1");
mysql_query("OPTIMIZE TABLE `frends`");
mysql_query("OPTIMIZE TABLE `frends_new`");
$msgno="К сожалению, обитатель [b]$user[nick][/b] удалил вас из списка друзей!";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$msgno', '$time')");
msg ('Обитатель успешно удален из списка ваших друзей');
}

if (isset($_GET['frend']) && $_GET['frend']=='add')
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' LIMIT 1"),0)==0){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0)==1){header("Location: index.php?".SID);exit;}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0)==1){header("Location: index.php?".SID);exit;}
if ($ank['id']==$user['id']){header("Location: index.php?".SID);exit;}
mysql_query("INSERT INTO `frends_new` (`user`, `to`, `time`) values('$user[id]', '$ank[id]', '$time')");
mysql_query("OPTIMIZE TABLE `frends_new`");
msg ('Ваше предложение дружбы отправлено обитателю '.$ank['nick'].'');
}

$d1sql = mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1");
$d2sql = mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$ank[id]' AND `frend` = '$user[id]') OR (`user` = '$user[id]' AND `frend` = '$ank[id]') LIMIT 1");
aut();

if (isset($user) && $user['id']!=$ank['id'])
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `my_guest` WHERE `id_user` = '$ank[id]' AND `id_guest` = '$user[id]'"), 0)==0)
{
mysql_query("INSERT INTO `my_guest` (`id_user`, `id_guest`, `time`) values('$ank[id]', '$user[id]', '$time')",$db);
}
mysql_query("UPDATE `my_guest` SET `time` = '$time' WHERE `id_user` = '$ank[id]' AND `id_guest` = '$user[id]'");
}
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0)!=0)
{
$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 5");
while ($post = mysql_fetch_array($q))
{
echo '<div class="guser_aut">';
echo "<font color='#FF0000'>Обитатель был забанен за нарушение условий использования сервиса</font><br/>\n";
echo "Причина: ".$post['prich']."<br />\n";
echo "Забанен до: ".vremja($post['time'])."<br>\n";


if (isset($user) && $user['level']==4)
{

echo "<img src='img/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]&act=del'>Снять бан</a><br />\n";
echo "</div>\n";
}

include_once 'sys/inc/tfoot.php';

if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))

{

}

}

}

else

{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '$ank[id]' AND `date_last` > '".(time()-2500)."' LIMIT 1"),0)==1)

{
echo '<div class="page_foot">';

echo "".online($ank['id'])."\n";

if ($ank['status']==0)echo "Онлайн<br />\n";

else if ($ank['status']==1)echo "Готов болтать<br />\n";

else if ($ank['status']==2)echo "Не беспокоить<br />\n";

else if ($ank['status']==3)echo "Болею<br />\n";

else if ($ank['status']==4)echo "Депрессия<br />\n";

else if ($ank['status']==5)echo "Думаю<br />\n";

else if ($ank['status']==6)echo "Курю<br />\n";

else if ($ank['status']==7)echo "Кушаю<br />\n";

else if ($ank['status']==8)echo "Люблю<br />\n";

else if ($ank['status']==9)echo "Смотрю тв<br />\n";

else if ($ank['status']==10)echo "Слушаю музыку<br />\n";

else if ($ank['status']==11)echo "В ванной<br />\n";

else if ($ank['status']==12)echo "В туалете<br />\n";

else if ($ank['status']==13)echo "Занимаюсь сексом<br />\n";

else if ($ank['status']==14)echo "Играю в игру<br />\n";

else if ($ank['status']==15)echo "Пью пиво<br />\n";

else if ($ank['status']==16)echo "Сонный<br />\n";

}else{

if ($ank['pol']==1){

echo '<img src="img/tabor/man_off.gif" alt="logo" class="icon"/> Отключен<br />';}

else {

echo '<img src="img/tabor/woman_off.gif" alt="" class="icon"/> Отключенa<br />';}

}

if ($ank['ank_enter'] == '2' && !isset($user))
{

echo' <div class="gend"> - Пользователь запретил просмотр своей страницы<br/> - Просмотр только для друзей</div>';

		if (isset($user) && $user['id']!=$ank['id']){

echo "<div class='guser_aut'>";

echo "<img src='img/tabor/leter.gif' alt='' class='icon'/><a href=\"/mail.php?id=$ank[id]\"> Написать в приват</a><br />\n";

echo '<img src="img/tabor/gifts1.gif" alt="" class="icon"/><a href="money/gifts.php?pod=1&ud='.$ank['id'].'"> Сделать подарок</a></div>';

}
	if ( isset( $user ) && $user['id'] != $ank['id'] && mysql_result( $d1sql, 0 ) == 0 && mysql_result( $d2sql, 0 ) == 0 )
	{
	
	if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=add">Предложить дружбу</a><br>';
echo "</div>";
}

else

{

if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=del">Удалить из друзей</a><br>';

}

if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
{

echo "<div class='p_t'>Админ-панелька</div>\n";
if (isset($user) && $user['level']==4)
{
echo "<div class='str'>";
echo "<img src='img/tabor/bullet.png' alt=''> <a href='/tabor_ad_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}
if ($user['id']!=$ank['id']){
if ($ank['ban']>$time)
{
if (isset($access['ban_unset']))
echo "<img src='img/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]&act=del'>Снять бан</a><br />\n";
}
else 
{
if (isset($access['ban_set']))
echo "<img src='img/tabor/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]'>Забанить пользователя</a><br />\n";
echo "<img src='img/tabor/bullet.png' alt=''> <a href='in.php?id=$ank[id]'>Посмотреть полную страницу</a><br />\n";


}
if (isset($access['user_delete'])){
echo "<img src='img/tabor/bullet.png' alt=''> <a href='tabor_ad_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a><br />";
mysql_query("OPTIMIZE TABLE `users`");
}}


echo "</div>\n";
}
include_once 'sys/inc/tfoot.php';
exit();
}

if ($ank['ank_enter'] == '2' && $ank['id'] != $user['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' && `frend` = '$user[id]'"),0) == '0')
{
echo' <div class="gend"> - Пользователь запретил просмотр своей страницы<br/> - Просмотр только для друзей</div>';

if (isset($user) && $user['id']!=$ank['id']){

echo "<div class='guser_aut'>";

echo "<img src='img/tabor/leter.gif' alt='' class='icon'/><a href=\"/mail.php?id=$ank[id]\"> Написать в приват</a><br />\n";

echo '<img src="img/tabor/gifts1.gif" alt="" class="icon"/><a href="money/gifts.php?pod=1&ud='.$ank['id'].'"> Сделать подарок</a></div>';

}
	if ( isset( $user ) && $user['id'] != $ank['id'] && mysql_result( $d1sql, 0 ) == 0 && mysql_result( $d2sql, 0 ) == 0 )
	{
	
	if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=add">Предложить дружбу</a><br>';
echo "</div>";
}

else

{

if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=del">Удалить из друзей</a><br>';

}


if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
{

echo "<div class='p_t'>Админ-панелька</div>\n";
if (isset($user) && $user['level']==4)
{
echo "<div class='str'>";
echo "<img src='img/tabor/bullet.png' alt=''> <a href='/tabor_ad_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}
if ($user['id']!=$ank['id']){
if ($ank['ban']>$time)
{
if (isset($access['ban_unset']))
echo "<img src='img/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]&act=del'>Снять бан</a><br />\n";
}
else 
{
if (isset($access['ban_set']))
echo "<img src='img/tabor/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]'>Забанить пользователя</a><br />\n";
echo "<img src='img/tabor/bullet.png' alt=''> <a href='in.php?id=$ank[id]'>Посмотреть полную страницу</a><br />\n";

}
if (isset($access['user_delete'])){
echo "<img src='img/tabor/bullet.png' alt=''> <a href='tabor_ad_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a><br />";
mysql_query("OPTIMIZE TABLE `users`");
}}



echo "</div>\n";
}
include_once 'sys/inc/tfoot.php';
exit();
}


if($ank['level']==0){

	echo '<span class="status">Обитатель сайта '.$_SERVER['HTTP_HOST'].'</span><br />';
	
	}else if($ank['level']==1){
	
		echo '<img src="img/tabor/security.png" alt="" class="icon"/>Киллер<br />';
		
		}else if($ank['level']==2){
		
			echo '<img src="img/tabor/user_mal.png" alt="" class="icon"/>Супер Модератор<br />';
			
			}else if($ank['level']==3){
			
				echo '<img src="img/tabor/user_adm.png" alt="" class="icon"/>Администратор<br />';
				
				}else if($ank['level']==4){
				
					echo '<img src="img/tabor/admin_sign.gif" alt="" class="icon"/>Создатель';
					}
					
					$data = mysql_query( "select * from `rangs` where `id`='1';" );
			$data = mysql_fetch_assoc( $data );

			if ( $ank['balls'] >= 51 && $ank['balls'] <= 100 )echo htmlspecialchars( $data['3'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 101 && $ank['balls'] <= 250 )echo htmlspecialchars( $data['4'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 251 && $ank['balls'] <= 400 )echo htmlspecialchars( $data['5'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 401 && $ank['balls'] <= 600 )echo htmlspecialchars( $data['6'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 601 && $ank['balls'] <= 750 )echo htmlspecialchars( $data['7'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 751 && $ank['balls'] <= 900 )echo htmlspecialchars( $data['8'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 901 && $ank['balls'] <= 1000 )echo htmlspecialchars( $data['9'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 1001 && $ank['balls'] <= 1249 )echo htmlspecialchars( $data['10'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 1250 && $ank['balls'] <= 1499 )echo htmlspecialchars( $data['11'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 1500 && $ank['balls'] <= 1749 )echo htmlspecialchars( $data['12'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 1750 && $ank['balls'] <= 1999 )echo htmlspecialchars( $data['13'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 2000 && $ank['balls'] <= 2249 )echo htmlspecialchars( $data['14'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 2250 && $ank['balls'] <= 2499 )echo htmlspecialchars( $data['15'], ENT_QUOTES ) . '<br />';
			else
			if ( $ank['balls'] >= 2500 && $ank['balls'] <= 2749 )echo htmlspecialchars( $data['16'], ENT_QUOTES ) . '<br />';
			else
   if ( $ank['balls'] >= 2750 && $ank['balls'] <= 2999 )echo htmlspecialchars( $data['17'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 3000 && $ank['balls'] <= 3249 )echo htmlspecialchars( $data['18'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 3250 && $ank['balls'] <= 3499 )echo htmlspecialchars( $data['19'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 3500 && $ank['balls'] <= 4999 )echo htmlspecialchars( $data['20'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 5000 && $ank['balls'] <= 7499 )echo htmlspecialchars( $data['21'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 7500 && $ank['balls'] <= 9999 )echo htmlspecialchars( $data['22'], ENT_QUOTES ) . '<br />';
   else
   if ( $ank['balls'] >= 10000 ) echo htmlspecialchars( $data['23'], ENT_QUOTES ) . '<br />';



 echo 'Статус: ';
if($ank['balls']>=0 && $ank['balls']<=100)echo "Призывник</a><br >";
if($ank['balls']>=101 && $ank['balls']<=250)echo "Младший сержант<img src='/rank/250.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=251 && $ank['balls']<=400)echo "Сержант<img src='/rank/400.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=401 && $ank['balls']<=600)echo "Старший сержант<img src='/rank/600.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=601 && $ank['balls']<=750)echo "Старшина<img src='/rank/750.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=751 && $ank['balls']<=900)echo "Прапорщик<img src='/rank/900.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=901 && $ank['balls']<=1000)echo "Старший прапорщик<img src='/rank/1000.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=1001 && $ank['balls']<=1249)echo "Младший лейтенант<img src='/rank/1249.png' alt='' class='icon'</a><br />";
if($ank['balls']>=1250 && $ank['balls']<=1499)echo "Лейтенант<img src='/rank/1449.png' alt='' class='icon'</a><br />";
if($ank['balls']>=1500 && $ank['balls']<=1749)echo "Старший лейтенант<img src='/rank/1749.png' alt='' class='icon'</a><br />";
if($ank['balls']>=1750 && $ank['balls']<=1999)echo "Капитан<img src='/rank/1999.png' alt='' class='icon'</a><br/>";
if($ank['balls']>=2000 && $ank['balls']<=2249)echo "Майор<img src='/rank/2249.png' alt='' class='icon'</a><br />";
if($ank['balls']>=2250 && $ank['balls']<=2549)echo "ХЕР-Майор<img src='/rank/2499.png' alt='' class='icon'</a><br />";
if($ank['balls']>=2500 && $ank['balls']<=2749)echo "Подполковник<img src='/rank/2749.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=2750 && $ank['balls']<=2999)echo "Полковник<img src='/rank/2999.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=3000 && $ank['balls']<=3249)echo "Генерал-майор<img src='/rank/3249.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=3250 && $ank['balls']<=3499)echo "Генерал-лейтенант<img src='/rank/3499.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=3500 && $ank['balls']<=4999)echo "Генерал-полковник<img src='/rank/4999.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=5000 && $ank['balls']<=7499)echo "Главнокомандующий<img src='/rank/7499.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=7500 && $ank['balls']<=9999)echo "Маршал<img src='/rank/9999.gif' alt='' class='icon'</a><br />";
if($ank['balls']>=10000)echo "Неприкасаемый<img src='/rank/10000.png' alt='' class='icon'</a><br />";


if ($ank['ank_name']!=NULL)echo "<span class=\"ank_n\">Имя:</span> <span class=\"ank_d\">$ank[ank_name]</span><br />\n";
echo "<span class=\"ank_n\">Пол:</span> <span class=\"ank_d\">".(($ank['pol']==1)?'Парень':'Девушка')."</span><br />\n";
$d1sql = mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1");
$d2sql = mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$ank[id]' AND `frend` = '$user[id]') OR (`user` = '$user[id]' AND `frend` = '$ank[id]') LIMIT 1");
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "Дата рождения: $ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.<br />";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "Возраст: $ank[ank_age] лет<br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "День рождения: $ank[ank_d_r] $ank[mes]<br />";
}
if ($ank['ank_d_r']>=19 && $ank['ank_m_r']==1){echo " <img src='/style/zod/1.jpg'><br /><span class=\"status\"> Зодиак:</span> Водолей<br />";}
elseif ($ank['ank_d_r']<=19 && $ank['ank_m_r']==2){echo " <img src='/style/zod/1.jpg'><br /><span class=\"status\"> Зодиак:</span> Водолей<br />";}
elseif ($ank['ank_d_r']>=18 && $ank['ank_m_r']==2){echo " <img src='/style/zod/2.jpg'><br /><span class=\"status\"> Зодиак:</span> Рыбы<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==3){echo " <img src='/style/zod/2.jpg'><br /><span class=\"status\"> Зодиак:</span> Рыбы<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==3){echo " <img src='/style/zod/3.jpg'><br /><span class=\"status\"> Зодиак:</span> Овен<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==4){echo " <img src='/style/zod/3.jpg'><br /><span class=\"status\"> Зодиак:</span> Овен<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==4){echo " <img src='/style/zod/4.jpg'><br /><span class=\"status\"> Зодиак:</span> Телец<br />";}
elseif ($ank['ank_d_r']<=21 && $ank['ank_m_r']==5){echo " <img src='/style/zod/4.jpg'><br /><span class=\"status\"> Зодиак:</span> Телец<br />";}
elseif ($ank['ank_d_r']>=20 && $ank['ank_m_r']==5){echo " <img src='/style/zod/5.jpg'><br /><span class=\"status\"> Зодиак:</span> Близнецы<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==6){echo " <img src='/style/zod/5.jpg'><br /><span class=\"status\"> Зодиак:</span> Близнецы<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==6){echo " <img src='/style/zod/6.jpg'><br /><span class=\"status\"> Зодиак:</span> Рак<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==7){echo " <img src='/style/zod/6.jpg'><br /><span class=\"status\"> Зодиак:</span> Рак<br />";}
elseif ($ank['ank_d_r']>=23 && $ank['ank_m_r']==7){echo " <img src='/style/zod/7.jpg'><br /><span class=\"status\"> Зодиак:</span> Лев<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==8){echo " <img src='/style/zod/7.jpg'><br /><span class=\"status\"> Зодиак:</span> Лев<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==8){echo " <img src='/style/zod/8.jpg'><br /><span class=\"status\"> Зодиак:</span> Дева<br />";}
elseif ($ank['ank_d_r']<=23 && $ank['ank_m_r']==9){echo " <img src='/style/zod/8.jpg'><br /><span class=\"status\"> Зодиак:</span> Дева<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==9){echo " <img src='/style/zod/9.jpg'><br /><span class=\"status\"> Зодиак:</span> Весы<br />";}
elseif ($ank['ank_d_r']<=23 && $ank['ank_m_r']==10){echo " <img src='/style/zod/9.jpg'><br /><span class=\"status\"> Зодиак:</span> Весы<br />";}
elseif ($ank['ank_d_r']>=22 && $ank['ank_m_r']==10){echo " <img src='/style/zod/10.jpg'><br /><span class=\"status\"> Зодиак:</span> Скорпион<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==11){echo " <img src='/style/zod/10.jpg'><br /><span class=\"status\"> Зодиак:</span> Скорпион<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==11){echo " <img src='/style/zod/11.jpg'><br /><span class=\"status\"> Зодиак:</span> Стрелец<br />";}
elseif ($ank['ank_d_r']<=22 && $ank['ank_m_r']==12){echo " <img src='/style/zod/11.jpg'><br /><span class=\"status\"> Зодиак:</span> Стрелец<br />";}
elseif ($ank['ank_d_r']>=21 && $ank['ank_m_r']==12){echo " <img src='/style/zod/12.jpg'><br /><span class=\"status\"> Зодиак:</span> Козерог<br />";}
elseif ($ank['ank_d_r']<=20 && $ank['ank_m_r']==1){echo " <img src='/style/zod/12.jpg'><br /><span class=\"status\"> Зодиак:</span> Козерог<br />";}
if (isset($user) && $user['id']==$ank['id'])echo "<br /><a href='privet.php'>\n";
if ($ank['prcolor']!=NULL){

echo '<font color="#'.$ank[prcolor].'">';}

if ($ank['privet']!=NULL)echo esc(trim(br(bbcode(smiles(stripcslashes(htmlspecialchars($ank['privet'])))))))."\n";

else
echo "Всем привет\n";


if (isset($user) && $user['id']==$ank['id'])

if ($ank['prcolor']!=NULL){

echo "</font>\n";}

if (isset($user) && $user['id']==$ank['id'])echo "</a>[<a href='pages/prcolor.php'><font color='FF0000'>Изм. цвет</font></a>]\n";


echo "<br/>\n";

avatar($ank['id']);
echo "<br /></div>\n";
if (isset($user) && $user['id']==$ank['id'])

{
echo "<div class='guser_aut'>";

echo "<img src='img/tabor/settings.gif' alt='logo' class='icon'/>\n";

echo "<a href='settings.php?id=$user[id]'>Настройки страницы</a><br />";
echo'<img src="img/tabor/doc_page.png"alt=""> <a href="/news/">Новости</a>';
include "news/count.php";
echo '<br /><img src="/img/tabor/my_guest.gif" alt="ico" /> <a href="/my_guest.php">Мои гости</a><br/>';

echo "</div>";
echo "</div>";

}


echo "<img src='img/tabor/ank.gif' alt=''/>\n";

echo "<a href='ank.php?id=$ank[id]'> Анкета</a><br/>\n";



if (isset($user) && $user['id']!=$ank['id']){

echo "<div class='guser_aut'>";

echo "<img src='img/tabor/leter.gif' alt='' class='icon'/><a href=\"/mail.php?id=$ank[id]\"> Написать в приват</a><br />\n";

echo '<img src="img/tabor/gifts1.gif" alt="" class="icon"/><a href="money/gifts.php?pod=1&ud='.$ank['id'].'"> Сделать подарок</a><br />';

}

if (isset($user) && $user['id']!=$ank['id'] && mysql_result($d1sql, 0)==0 && mysql_result($d2sql, 0)==0) 

{

if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=add">Предложить дружбу</a><br>';
echo "</div>";
}

else

{

if (isset($user) && $user['id']!=$ank['id']) 
echo '<img src="img/tabor/add_frends.gif" alt="" class="icon"/><a href="info.php?id='.$ank['id'].'&frend=del">Удалить из друзей</a><br>';

}
echo "</div>";
echo "<img src='img/tabor/frends.gif' alt='i' class='icon'/>\n";


$k_fr = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);


echo '<a href="frend.php?id='.$ank['id'].'">Друзья</a><font color="#FF0000"> ('.$k_fr.')</font><br>';

$foto = mysql_num_rows(mysql_query("SELECT `id` FROM `gallery` WHERE `id_user` = '$ank[id]'"));

echo "<img src='img/tabor/foto.gif' alt='' class='icon'/>\n";

echo "<a href='/foto/$ank[id]/'>Фотоальбомы</a> <font color='#FF0000'>$foto</font><br/>";

echo "<img src='/img/icon/arhiv.gif' alt='' /> <a href='/my/files.php?id=$ank[id]'>Файлы</a> \n";
echo "(".mysql_result(mysql_query("SELECT COUNT(*) FROM `obmennik_files` WHERE `id_user` = '$ank[id]'"),0).")<br/>"; 



echo "<img src='/style/ico/blogs.gif' alt='' class='icon'/>\n";
echo "<a href=\"/blogs.php?act=see&amp;id=$ank[id]\">Дневник</a>";
echo " (".mysql_result(mysql_query("select count(`id`) from `blogs` where `uid`='".$ank['id']."';"),'count');
echo ")</b><br/>";

echo "<img src='/img/tabor/us_guest.gif' alt='' class='icon'/>\n";

echo "<a href=\"/us_guest/index.php?id=$ank[id]\">Гостевая</a>";

$k_p_g=mysql_result(mysql_query("SELECT COUNT(*) FROM `us_guest` WHERE `id_user_adm` = $ank[id] ",$db), 0);

echo " <font color='#FF0000'>$k_p_g</font><br />";


echo "<img src='img/tabor/gifts.gif' alt='' class='icon'/>\n";

echo "<a href=\"gifts.php?id=$ank[id]\" title=\"Подарки\">Подарки</a>\n";

$k_p=mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts` WHERE `id_user` = $ank[id] ",$db), 0);

echo " <font color='#FF0000'>$k_p</font><br />";


if (isset($user) && $user['id']==$ank['id'])

{
echo "<img src=\"img/tabor/inbox.png\" alt=\"\"/> <a href=\"/mail.php\">Моя почта</a><br />\n";

$jn=mysql_result(mysql_query("SELECT COUNT(*) FROM `jurnal` WHERE `id_kont` = '$user[id]' AND `read` = '0'"), 0);
echo "<img src='img/tabor/gazetaic.gif' alt='' class='icon'/> <a href=\"/jurnal.php\" title=\"Журнал\">Журнал</a>\n";
if ($jn>0) echo "(+$jn)\n";
echo "<br/>\n";


$forum_zakl=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_zakl` WHERE `id_user` = '$ank[id]'"),0);
echo "<img src='img/tabor/skripts.gif' alt=''>  <a href='/zakl.php'>Закладки</a> ($forum_zakl)<br />";
echo '<img src="/img/tabor/home.png" alt="ico" /> <a href="/gorod/index.php">Город</a> ';
include 'gorod/count.php';


}

if (isset($user) && $user['id']==$ank['id'])

{
echo "<img src='img/tabor/ico_rati.png' alt='' class='icon'/>\n";

echo '<a href="/my_rating.php">Рейтинг:</a>';

echo "<font color='#FF0000'> $ank[rating]</font>";

}

if (isset($user) && $user['id']!=$ank['id'])

{

echo "<img src='img/tabor/ico_rati.png' alt='' class='icon'/>\n";

echo 'Рейтинг:';

echo "<font color='#FF0000'> $ank[rating]</font>";

}

echo "<br />\n";

echo "<img src='/img/tabor/bell.png' alt='' class='icon'/>\n";

echo "Баллы:\n";

echo "<font color='#FF0000'>$ank[balls]</font>";

echo "<br/>\n";

echo "<img src='img/tabor/um.png' alt='' class='icon'/>\n";

echo "IQ:\n";

echo "<font color='#FF0000'>$ank[iq]</font>";

echo "<br/>\n";

echo "</div>\n";

{



}

if (isset($user) && isset($access['user_voice']) && $user['id']!=$ank['id'] && $user['balls']>=0 && $user['rating']>=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `user_voice` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0)==0)

{
echo "<div class='guser_aut'>";
echo "Проголосовать за страничку:</br>";

echo "<a href=\"/info.php?id=$ank[id]&rating=1\" title=\"+1\">+1</a>|";

echo "<a href=\"/info.php?id=$ank[id]&rating=2\" title=\"+2\">+2</a>|";

echo "<a href=\"/info.php?id=$ank[id]&rating=3\" title=\"+3\">+3</a>|";

echo "<a href=\"/info.php?id=$ank[id]&rating=4\" title=\"+4\">+4</a>|";

echo "<a href=\"/info.php?id=$ank[id]&rating=5\" title=\"+5\">+5</a><br/>";


echo "</div>\n";
}
echo "<div class='gend'>";

echo "Посл. посещение: ".vremja($ank['date_last'])."<br />\n";

echo "Регистрация: ".vremja($ank['date_reg'])."<br />\n";
$timediff=mysql_result(mysql_query("SELECT `time` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1",$db), 0);

$oneMinute=60; 
$oneHour=60*60; 
$oneDay=60*60*24; 
$dayfield=floor($timediff/$oneDay); 
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour); 
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute); 
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute)); 

$sDaysLeft=$dayfield; 
$sDaysText = "дней"; 
$nDaysLeftLength =strlen($sDaysLeft); 
$d_1=substr($sDaysLeft,-1,1); 

if (substr($sDaysLeft,-2,1) != 1 && $nDaysLeftLength>1) 
{ 
    if ($d_1 == 2 || $d_1== 3 || $d_1== 4) 
    { 
        $sDaysText = "дня"; 
    } 
    elseif ($d_1== 1) 
    { 
        $sDaysText = "день"; 
    } 
} 
if ($nDaysLeftLength==1) 
{ 
    if ($d_1==2 || $d_1== 3 || $d_1== 4) 
    { 
        $sDaysText = "дня"; 
    } 
    elseif ($d_1== 1) 
    { 
        $sDaysText = "день"; 
    } 
} 

$sHoursLeft=$hourfield; 
$sHoursText = "часов"; 
$nHoursLeftLength = strlen($sHoursLeft); 
$h_1=substr($sHoursLeft,-1,1); 
if (substr($sHoursLeft,-2,1) != 1 && $nHoursLeftLength>1) 
{ 
    if ($h_1== 2 || $h_1== 3 || $h_1== 4) 
    { 
        $sHoursText = "часа"; 
    } 
    elseif ($h_1== 1) 
    { 
        $sHoursText = "час"; 
    } 
} 

if ($nHoursLeftLength==1) 
{ 
    if ($h_1== 2 || $h_1== 3 || $h_1== 4) 
    { 
        $sHoursText = "часа"; 
    } 
    elseif ($h_1== 1) 
    { 
        $sHoursText = "час"; 
    } 
} 

$sMinsLeft =$minutefield; 
$sMinsText = "минут"; 
$nMinsLeftLength = strlen($sMinsLeft); 
$m_1=substr($sMinsLeft,-1,1); 

if ($nMinsLeftLength>1 && substr($sMinsLeft,-2,1) != 1) 
{ 
    if ($m_1== 2 || $m_1== 3 || $m_1== 4) 
    { 
        $sMinsText = "минуты"; 
    } 
    else if ($m_1== 1) 
    { 
        $sMinsText = "минута"; 
    } 
} 

if ($nMinsLeftLength==1) 
{ 
    if ($m_1== 2 || $m_1==3 || $m_1== 4) 
    { 
        $sMinsText = "минуты"; 
    } 
    elseif ($m_1== "1") 
    { 
        $sMinsText = "минута"; 
    } 
} 

$sSecsLeft = $secondfield; 
$sSecsText = "секунд"; 
$s_1=substr($sSecsLeft,-1,1); 
$nSecsLeftLength = strlen($sSecsLeft); 
if (substr($sSecsLeft,-2,1)!= 1 && $nSecsLeftLength>1) 
{ 
    if ($s_1== 2 || $s_1== 3 || $s_1== 4) 
    { 
        $sSecsText = "секунды"; 
    } 
    elseif ($s_1== 1) 
    { 
        $sSecsText = "секунда"; 
    } 
} 

if ($nSecsLeftLength==1) 
{ 
    if ($s_1== 2 || $s_1== 3 || $s_1== 4) 
    { 
        $sSecsText = "секунды"; 
    } 
    elseif ($sSecsLeft== "1") 
    { 
        $sSecsText = "секунда"; 
    } 
} $displaystring="". 
$sDaysLeft." ". 
$sDaysText." ". 
$sHoursLeft." ". 
$sHoursText." ". 
$sMinsLeft." ". 
$sMinsText." ". 
$sSecsLeft." ". 
$sSecsText; 

echo "На сайте провел:<font color='#FF0000'>$displaystring</font><br />\n";
$perehodu=mysql_result(mysql_query("SELECT `perehodu` FROM `user` WHERE `id` = '$ank[id]' LIMIT 1",$db), 0);
echo "Переходов по сайту:<font color='#FF0000'>$perehodu</font><br />\n";
echo "</div>\n";
if($user['level']==2){
if (otkuda($ank['url'])){echo "Где: <a href='$ank[url]'>".otkuda($ank['url'])."</a><br />\n";
}else{echo "Где: Не определено<br />\n";}
}
if($user['level']==3){
if (otkuda($ank['url'])){echo "Где: <a href='$ank[url]'>".otkuda($ank['url'])."</a><br />\n";
}else{echo "Где: Не определено<br />\n";}
}
if($user['level']==4){
if (otkuda($ank['url'])){echo "Где: <a href='$ank[url]'>".otkuda($ank['url'])."</a><br />\n";
}else{echo "Где: Не определено<br />\n";}
}
////////////////////////

echo "<div class='page_foot'>";

echo '<img src="img/ico_mone.png" alt="l" class="icon"/>Деньги города:'.$ank['gorod_money'].'</span><br/>';


$ismobi=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='mobi'");
if(mysql_num_rows($ismobi)>0){
$ismobi=mysql_fetch_assoc($ismobi);

echo ' - <a href="/gorod/mobi.php">Мобила города:</a>  <font color="#FF0000">'.$ismobi['name'].'</font><br />';
};
$isdom=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='dom'");
if(mysql_num_rows($isdom)>0){
$isdom=mysql_fetch_assoc($isdom);
echo ' - <a href="/gorod/rieltor.php">Дом в городе:</a> <font color="#FF0000"> '.$isdom['name'].'</font><br />';
};
$isavto=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='avto'");
if(mysql_num_rows($isavto)>0){
$isavto=mysql_fetch_assoc($isavto);
echo ' - <a href="/gorod/avto.php">Автомобиль города:</a>  <font color="#FF0000">'.$isavto['name'].'</font><br />';
};
$ispu=mysql_query("SELECT * FROM `gorod_invent` WHERE `uid`='".$ank['id']."' AND `type`='pushka'");
if(mysql_num_rows($ispu)>0){
$ispu=mysql_fetch_assoc($ispu);
echo ' - <a href="/gorod/magazin.php">Оружие города:</a>  <font color="#FF0000">'.$ispu['name'].'</font><br />';
};

if ($ank['gorod_security']!=NULL)echo ' - <a href="/gorod/security.php">Охрана города:</a>  <font color="#FF0000">'.$ank['gorod_security'].'</font><br />';
if ($ank['gorod_para']!=NULL)echo ' - <a href="/gorod/ree.php">Спутница города: </a> <font color="#FF0000">'.$ank['gorod_para'].'</font><br />';
if ($ank['gorod_tur']!=NULL)echo ' - <a href="/gorod/tur.php">Ездил в путешествие:</a> <font color="#FF0000"> '.$ank['gorod_tur'].'</font><br />';
if ($ank['gorod_firm']!=NULL)echo ' - <a href="/gorod/firma.php">Фирма города:</a> <font color="#FF0000"> '.$ank['gorod_firm'].'</font><br />';
if ($ank['gorod_band']!=NULL)echo ' - <a href="/gorod/grup.php">В банде города:</a> <font color="#FF0000">'.$ank['gorod_band'].'</font><br />';

if ($ank['gorod_brak']!=NULL){echo 'Брак с:'.$ank['gorod_brak'].'<br/>';};

echo'</div>';


///////////////////////

if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
{

echo "<div class='p_t'>Админ-панелька</div>\n";
if (isset($user) && $user['level']==4)
{
echo "<div class='str'>";
echo "<img src='img/tabor/bullet.png' alt=''> <a href='/tabor_ad_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}
if ($user['id']!=$ank['id']){
if ($ank['ban']>$time)
{
if (isset($access['ban_unset']))
echo "<img src='img/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]&act=del'>Снять бан</a><br />\n";
}
else 
{
if (isset($access['ban_set']))
echo "<img src='img/tabor/bullet.png' alt=''> <a href='ad_mod/ban.php?id=$ank[id]'>Забанить пользователя</a><br />\n";
}
if (isset($access['user_delete'])){
echo "<img src='img/tabor/bullet.png' alt=''> <a href='tabor_ad_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a><br />";
mysql_query("OPTIMIZE TABLE `users`");
}}


if($user['level']==4){
if ($ank['ip']!=NULL){
if (isset($access['show_ip']) && $ank['ip']!=0){
echo "IP: ".long2ip($ank['ip'])." ";
if (isset($access['ban_ip']))
echo " [<a href='tabor_ad_panel/ban_ip.php?min=$ank[ip]'>Бан</a>]";
echo "<br />\n";}}
if ($ank['ip_cl']!=NULL){
if (isset($access['show_ip']) && $ank['ip_cl']!=0){
echo "IP (CLIENT): ".long2ip($ank['ip_cl'])."";
if (isset($access['ban_ip']))
echo " [<a href='tabor_ad_panel/ban_ip.php?min=$ank[ip_cl]'>Бан</a>]";
echo "<br />\n";}}
if ($ank['ip_xff']!=NULL){
if (isset($access['show_ip']) && $ank['ip_xff']!=0){
echo "IP (XFF): ".long2ip($ank['ip_xff'])."";
if (isset($access['ban_ip']))
echo " [<a href='tabor_ad_panel/ban_ip.php?min=$ank[ip_xff]'>Бан</a>]";
echo "<br />\n";}}
if (isset($access['show_brows']) && $ank['ua']!=NULL)
echo "UA: $ank[ua]<br />\n";
if (isset($access['show_ip']) && opsos($ank['ip']))
echo "Пров: ".opsos($ank['ip'])."<br />\n";
if (isset($access['show_ip']) && opsos($ank['ip_cl']))
echo "Пров (CL): ".opsos($ank['ip_cl'])."<br />\n";
if (isset($access['show_ip']) && opsos($ank['ip_xff']))
echo "Пров (XFF): ".opsos($ank['ip_xff'])."<br />\n";}

}
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
}
?>